%define base_name	phpmailer
%define name		php-%{base_name}
%define version		5.2.7
%define date        20130917
%define release		%mkrel 0.%date.2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Full featured email transfer class for PHP
License:	LGPL
Group:		Development/Other
URL:		http://phpmailer.sourceforge.net/
Source:     http://downloads.sourceforge.net/phpmailer/PHPMailer-master.zip
BuildArch:  noarch
Provides:   pear(ntlm_sasl_client.php)

%description
PHP email transport class featuring multiple file attachments, SMTP servers,
CCs, BCCs, HTML messages, and word wrap, and more. It can send email via
sendmail, PHP mail(), or with SMTP. Methods are based on the popular AspEmail
active server component.

%prep
%setup -q -n PHPMailer-master

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer/language
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer/extras
install -m 644 *.php %{buildroot}%{_datadir}/php/PHPMailer
install -m 644 extras/*.php %{buildroot}%{_datadir}/php/PHPMailer/extras
install -m 644 language/*.php %{buildroot}%{_datadir}/php/PHPMailer/language

%files
%{_datadir}/php/PHPMailer






%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.2.7-0.20130917.2.mga4
+ Revision: 535053
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 neoclust <neoclust> 5.2.7-0.20130917.1.mga4
+ Revision: 480859
- New version ( needed by wordpress)

* Tue Feb 12 2013 guillomovitch <guillomovitch> 5.1-1.mga3
+ Revision: 398174
- new version

* Sun Jan 13 2013 umeabot <umeabot> 1.73-6.mga3
+ Revision: 377510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 07 2011 spuhler <spuhler> 1.73-5.mga1
+ Revision: 48196
- removed buildroot definition from .spec
- imported package php-phpmailer


* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1.73-5mdv2010.0
+ Revision: 397579
- Rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.73-4mdv2009.1
+ Revision: 323035
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.73-3mdv2009.0
+ Revision: 268962
- rebuild early 2009.0 package (before pixel changes)

* Sun May 11 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.73-2mdv2009.0
+ Revision: 205685
- Should not be noarch ed

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.73-1mdv2008.1
+ Revision: 136417
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.73-1mdv2007.0
+ Revision: 97287
- Import php-phpmailer

* Fri Dec 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.73-1mdv2007.1
- first mdv release

